/*
 * DiscreteOutputs.cpp
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "DSP28335/DiscreteOutputs.h"

namespace DSP28335
{
//CONSTRUCTOR
DiscreteOutputs::DiscreteOutputs():
        DSP28335::CPUBase(),
        _gpio_setup(&DSP28335::GPIO::gpio_dicrete_outputs_setup)
{}//CONSTRUCTOR


void DiscreteOutputs::setup(const DiscreteOutputsSetup& setup)
{
    if(m_mode == DSP28335::DiscreteOutputs::UNDEFINED)
    {



        if(setup.gpio_setup != 0)
        {
            _gpio_setup = setup.gpio_setup;
            (*_gpio_setup)();

            m_mode = DSP28335::DiscreteOutputs::OPERATIONAL;
            //
        }//if
        //
    }//if
   //
    //
}//

} /* namespace DSP28335 */
