/*
 * DigitalIO.cpp
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "PERIPHERY/DigitalIO.h"

namespace PERIPHERY
{
//CONSRUCTOR
DigitalIO::DigitalIO():
        m_pointer(0)
{}//CONSRUCTOR

//#pragma CODE_SECTION("ramfuncs");
void DigitalIO::setup(uint16_t *memzone)
{
    m_pointer = memzone + OFFSET_DATA_DISCRETE_IO;
    //
}//
//
//#pragma CODE_SECTION("ramfuncs");
void DigitalIO::readDigitalIO(uint16_t& data)
{
    NOP;
    NOP;
    NOP;
    data = *m_pointer;
    NOP;
    NOP;
    NOP;
    //
}//
//
//#pragma CODE_SECTION("ramfuncs");
void DigitalIO::writeDigitalIO(uint16_t data)
{
    NOP;
    NOP;
    NOP;
    *m_pointer = data;
    NOP;
    NOP;
    NOP;
    //
}//
//
} /* namespace PERIPHERY */
