/*
 * ECANB.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "F28335/DSP28x_Project.h"

#include "DSP28335/CPUBase.h"
#include "DSP28335/GPIO.h"


#ifndef CPU_ECANB_H_
#define CPU_ECANB_H_


namespace DSP28335
{

struct ECANBSetup: public DSP28335::CPUBaseSetup
{
    ECANBSetup():
        DSP28335::CPUBaseSetup()
    {}
};//ECANBSetup



class ECANB: public CPUBase
{
public:
    ECANB();
    void setup(const ECANBSetup& setup);
private:
    void (*_gpio_setup)();
};

} /* namespace DSP28335 */

#endif /* CPU_ECANB_H_ */
